Debian Bug report logs - #595681
unsupported extended characters (ÀÈÍÏÓÒÚ)

version graph

Package: kfreebsd-image-8.1-1-amd64; Maintainer for kfreebsd-image-8.1-1-amd64 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 5 Sep 2010 18:33:01 UTC

Severity: minor

Found in version kfreebsd-8/8.1-5

Fixed in version kfreebsd-8/8.1+dfsg-6

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#595681; Package kfreebsd-image-8.1-1-amd64. (Sun, 05 Sep 2010 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 05 Sep 2010 18:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unsupported extended characters (ÀÈÍÏÓÒÚ)
Date: Fri, 03 Sep 2010 23:43:10 +0200
Package: kfreebsd-image-8.1-1-amd64
Version: 8.1-5
Severity: minor

The following characters (used in Catalan) aren't displayed
in console:

ÀÈÍÏÓÒÚ

In case this is relevant, note they can be mapped to VGA
charset (cp437).

Though they're uncommon, some of them are present in D-I
strings.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-8.1-1-amd64 depends on:
ii  freebsd-utils                 8.1-1      FreeBSD utilities needed for GNU/k
ii  kldutils                      8.1-1      tools for managing kFreeBSD module

kfreebsd-image-8.1-1-amd64 recommends no packages.

kfreebsd-image-8.1-1-amd64 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#595681; Package kfreebsd-image-8.1-1-amd64. (Sun, 19 Sep 2010 19:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 19 Sep 2010 19:48:06 GMT) Full text and rfc822 format available.

Message #10 received at 595681@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Robert Millan <rmh@debian.org>, 595681@bugs.debian.org
Subject: Re: Bug#595681: unsupported extended characters (ÀÈÍÏÓÒÚ)
Date: Sun, 19 Sep 2010 21:45:16 +0200
On Fri, Sep 03, 2010 at 11:43:10PM +0200, Robert Millan wrote:
> Package: kfreebsd-image-8.1-1-amd64
> Version: 8.1-5
> Severity: minor
> 
> The following characters (used in Catalan) aren't displayed
> in console:
> 
> ÀÈÍÏÓÒÚ
> 
> In case this is relevant, note they can be mapped to VGA
> charset (cp437).
> 

Could you please give me the cp437 equivalent, I'll add them to the
translation table.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#595681; Package kfreebsd-image-8.1-1-amd64. (Sun, 19 Sep 2010 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 19 Sep 2010 20:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 595681@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 595681@bugs.debian.org
Subject: Re: Bug#595681: unsupported extended characters (ÀÈÍÏÓÒÚ)
Date: Sun, 19 Sep 2010 22:05:05 +0200
2010/9/19, Aurelien Jarno <aurelien@aurel32.net>:
>> ÀÈÍÏÓÒÚ
>>
>> In case this is relevant, note they can be mapped to VGA
>> charset (cp437).
>
> Could you please give me the cp437 equivalent, I'll add them to the
> translation table.

Sorry, I was too quick to assume there's an equivalent but there
isn't.  I'd just map them to ascii AEIOU.

-- 
Robert Millan




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 21 Nov 2010 15:43:26 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 21 Nov 2010 15:43:26 GMT) Full text and rfc822 format available.

Message #20 received at 595681-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 595681-close@bugs.debian.org
Subject: Bug#595681: fixed in kfreebsd-8 8.1+dfsg-6
Date: Sun, 21 Nov 2010 15:32:44 +0000
Source: kfreebsd-8
Source-Version: 8.1+dfsg-6

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.1+dfsg-6.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-6.diff.gz
kfreebsd-8_8.1+dfsg-6.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-6.dsc
kfreebsd-8_8.1+dfsg.orig.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg.orig.tar.gz
kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
kfreebsd-source-8.1_8.1+dfsg-6_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.1_8.1+dfsg-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595681@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Nov 2010 15:19:57 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.1 kfreebsd-headers-8.1-1 kfreebsd-image-8.1-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.1-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.1-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.1-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.1-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.1-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.1-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.1-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.1+dfsg-6
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1-486 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686-smp - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-amd64 - header files for kernel of FreeBSD 8.1
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.1-1-486 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686-smp - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-amd64 - kernel of FreeBSD 8.1 image
 kfreebsd-source-8.1 - source code for kernel of FreeBSD 8.1 with Debian patches
Closes: 594940 595681 596577 598417
Changes: 
 kfreebsd-8 (8.1+dfsg-6) unstable; urgency=low
 .
   [ Petr Salinger]
   * Drop non-free firmware. Closes: #594940.
     - prune .orig.tar.gz
     - disable firmware in kernel via 999_config.diff
     - drop firmware even as modules inside 999_firmware.diff
   * Re-enable ulpt in kernel. Closes: #598417.
   * Raise NKPT on amd64 via 916_NKPT_amd64.diff. Closes: #596577.
 .
   [ Aurelien Jarno ]
   * Replace 106_teken_op.diff by upstream patch.
   * Add 108_teken_utf8_table.diff to be able to display upper case vowels
     with accent by ignoring the accent. Closes: #595681.
Checksums-Sha1: 
 dfff5508cf9d21c5d4db2ab6e821f97c063d8ad6 1898 kfreebsd-8_8.1+dfsg-6.dsc
 f42e1b26ce8cc24dbe529ad33f4077e73dd1c408 26095080 kfreebsd-8_8.1+dfsg.orig.tar.gz
 c8d4c812aa9d30d99f2ed48d2466b42337b31471 85431 kfreebsd-8_8.1+dfsg-6.diff.gz
 b8ed75265a35c8b8ed4a9943c1b0ee3cc122804d 17481176 kfreebsd-source-8.1_8.1+dfsg-6_all.deb
 f3ea7a3b395ed62222603bc0ee8cda7edbae2180 6553828 kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
 51faef6f75650d78030ac11aece789b8f53153d8 10855128 kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 479abc7c108a45fd4ff5b6a8d380c7b32dee95cb 47254 kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 0ac5ea0ea10301d355b1e45ba368b60cf033027a 312108 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 83f61ea63b45eb6640d019da682811177d42e787 47260 kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
Checksums-Sha256: 
 3f40b54273b2858e1e32be2110195275dfe993204adeeb36f41fbf30f011cc5f 1898 kfreebsd-8_8.1+dfsg-6.dsc
 1871be8b002ce221625009b334ad220f97b244bb67f65a9b79c77f09c3061dc6 26095080 kfreebsd-8_8.1+dfsg.orig.tar.gz
 303480e901ba9466396b4d8b2e019039f31dfb188af9dbd01ca1b19f2b72a334 85431 kfreebsd-8_8.1+dfsg-6.diff.gz
 e7d126110f7836b8eae6287e14de1c0b7ddcbdb20d840e1c8eca8850f4fb912c 17481176 kfreebsd-source-8.1_8.1+dfsg-6_all.deb
 6910a1747b0bc80551740fedc4a3b820786c5858896d6e2b05ae9fb782acbd99 6553828 kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
 b53220c3586ccd5a4c0e8e1eb5139b6f859e15286510cccab4ecf2a4e756534e 10855128 kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 66144c0df45dcb0b06e1f8e12357b39c42d267b93ac5e95c7824a24cae24ba60 47254 kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 4dfb06a17bb82571cd8822995d2acac628ceaf52c9f45fc4860ba17d271de0c2 312108 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 add06b7847f9458389d99e7a3586f5bc06e1b5ab5216592315003ebc9e499f8f 47260 kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
Files: 
 de1a3dc45ae0f2ee73ce13dc331ffc9d 1898 kernel optional kfreebsd-8_8.1+dfsg-6.dsc
 d63d117822899c7a16b9d0d4522c6fc9 26095080 kernel optional kfreebsd-8_8.1+dfsg.orig.tar.gz
 39a447c8616e6db871a3e892aae0f459 85431 kernel optional kfreebsd-8_8.1+dfsg-6.diff.gz
 b6b90343db27d89eeb2c55ada46146f4 17481176 kernel optional kfreebsd-source-8.1_8.1+dfsg-6_all.deb
 bf342a793f3e0e2a27ff84bc076e8f47 6553828 kernel optional kfreebsd-headers-8.1-1_8.1+dfsg-6_kfreebsd-amd64.deb
 c9b4bf719a937015fd8f8e04478b9aa1 10855128 kernel optional kfreebsd-image-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 4f95086405f9bbf6bf382ac0d52f7c8b 47254 kernel optional kfreebsd-image-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 a8a55ac585d1ca5be108a1b6f2d09fcb 312108 kernel optional kfreebsd-headers-8.1-1-amd64_8.1+dfsg-6_kfreebsd-amd64.deb
 9de3042ad24956b28c7d23b423dc3d0e 47260 kernel optional kfreebsd-headers-8-amd64_8.1+dfsg-6_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFM6TE5w3ao2vG823MRAo4bAKCG0t4pQF1gQj4lRT+DPsE4RTy6TgCeKLDH
6Ngvd8dFJXHgQgMdng7S/CY=
=JgLH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Dec 2010 07:36:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:44:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.